Subject: bug#76680: 30.1; Mouse selections broken on `emoji-insert' (C-x 8 e e)

From: Jonas Bernoulli <[email-masked]>
Date: Sat, 15 Mar 2025 20:34:09 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Jonas Bernoulli <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 12 Mar 2025 21:35:44 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>>  
>> >> IF you're using the newest transient.el from ELPA (0.8.5 at the time of
>> >> writing): The error "BUG: Cannot determine suffix object" is raised
>> >> after selecting the menu item. Hitting C-x 8 e e again will raise the
>> >> same error, without showing the transient menu.
>> >
>> > Thanks.  Jonas, can you please look into this?
>> 
>> I've fixed this in transient's repository and plan to update the version
>> in Emacs once I have created a new release.
>> 
>> I am a bit unclear on whether I should install that in "emacs-30" or
>> "master".  In that case that makes a difference, most changes since the
>> version in 30.1 are bug fixes.  The only new features are two new faces.
>> There are also some maintenance changes, which didn't add any new
>> functionality but are also not completely risk free.
>
> Can you show the patches?
>
> Also, would it make sense to install on emacs-30 only the fix for this
> particular issue?
>
> Thanks.

I was off by a release -- there actually is new functionality.
So I've just backported this one bugfix on "emacs-30".
I've also created a release and installed it on "master".

     Cheers,
     Jonas